Updates a one-off product transaction

Only one-off product transactions that are not invoiced can be updated. customer, agreement, billingPeriod and dateStart can't be changed. cost and sell are recalculated from unitCost, unitSell and quantity.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required

Product transaction ID

Body Params
string
required
string
required
customer
object
required
agreement
object
site
object
siteZ
object
siteZCustomer
object

Must match customer. Requires siteZ.

service
object
supplier
object
glCode
object
productCategory
object
taxCode
object
billingPeriod
object

Required. When not provided on create, the current billing period of the agreement is used. Can't be changed on update.

transactionType
object

Only the One-Off transaction type (id = 1) is accepted.

serviceItems
array of objects
serviceItems
date-time
required

Can't be changed on update.

date-time | null

Can't be earlier than dateStart.

float
required
float
required
float
required
string | null
string | null
string | null
string | null
string | null
string | null
boolean

Only true is accepted.

boolean | null
boolean | null
boolean | null
Headers
string
required

A clientId is a unique GUID or Globally Unique Identifier assigned to each integration. This clientId is required for all API calls made by your integration. This will be used to monitor integration performance and systems' health.

Responses
200

Updated successfully

Language
Credentials
Bearer
string token
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json